BuyServiceDedicatedServerRequest
service_idintegerrequired
ID of the Service to buy
Possible values: >= 1
recurrence_idinteger
ID of the billing recurrence of the purchased service: one of the recurrences_available of the chosen service, as listed by GET /api/v3/shop/dedicated-server. If omitted, the default recurrence of the service (recurrence) is used.
account_idinteger
ID of the account of the user that will be the owner of the purchase (available to Resellers only)
data objectrequired
Dedicated Server configuration and template selection
SERVER_CONFIGURATION_CODEstringrequired
One of the server Templates compatible with the "Dedicated Server" service to buy
SERVER_TEMPLATE_CODEstringrequired
One of the server Operative Systems (OS) compatible with the "Dedicated Server" service to buy and with the chosen server Template
BuyServiceDedicatedServerRequest
{
"service_id": 0,
"recurrence_id": 0,
"account_id": 0,
"data": {
"SERVER_CONFIGURATION_CODE": "string",
"SERVER_TEMPLATE_CODE": "string"
}
}